#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N, K, karte[10], poz;
    scanf("%d %d", &N, &K);
    for(int i=0;i<N;i++){
        scanf("%d", &karte[i]);
    	if(karte[i] == K)
        	poz = i;
}
	if(poz==N-1){	
		printf("%d", karte[0]);
	}
	else{	
		printf("%d", karte[poz+1]);
	}
    return 0;
}